
import machine, onewire, ds18x20, time, dht

ds_pin = machine.Pin(5)
ds_sensor = ds18x20.DS18X20(onewire.OneWire(ds_pin))
sensor = dht.DHT22(machine.Pin(4))

roms = ds_sensor.scan()

while True:
    ds_sensor.convert_temp()
    time.sleep_ms(750)
    try:
        time.sleep(2)
        sensor.measure()
        temp = sensor.temperature()
        hum = sensor.humidity()
        temp_f = temp * (9/5) + 32.0
        print('Temperature: %3.1f C' %temp)
        print('Humidity: %3.1f %%' %hum)
    except OSError as e:
        print('Failed to read sensor.')
    for rom in roms:
        print(ds_sensor.read_temp(rom), "° (avec sonde 1-wire)")
        print('-')
    time.sleep(5)